classification
Title: Mention spec_from_loader() in Finder.find_spec() docs.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, eric.snow, miss-islington, steve.dower
Priority: normal Keywords: easy, patch

Created on 2019-07-12 18:16 by eric.snow, last changed 2019-09-10 17:16 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14739 merged python-dev, 2019-07-13 13:05
PR 15884 merged miss-islington, 2019-09-10 16:06
PR 15885 merged miss-islington, 2019-09-10 16:06
Messages (4)
msg347750 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2019-07-12 18:16
When writing an importer, the finder (either MetaPathFinder or PathEntryFinder) must implement `find_spec()`.  A useful tool for that is the existing `spec_from_loader()`. [1]  The docs for `MetaPathFinder.find_spec()` and `PathEntryFinder.find_spec()` should mention it.


[1] (https://docs.python.org/3/library/importlib.html#importlib.util.spec_from_loader
msg351719 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-10 16:06
New changeset 9cbb97b29eac4b23e916a3233f26b60ac69e335b by Steve Dower (jdkandersson) in branch 'master':
bpo-37574: Mention helper functions for find_spec documentation (GH-14739)
https://github.com/python/cpython/commit/9cbb97b29eac4b23e916a3233f26b60ac69e335b
msg351732 - (view) Author: miss-islington (miss-islington) Date: 2019-09-10 17:13
New changeset 63909cdc2ff4eec58cc2b56426f2c725ccd4ba2b by Miss Islington (bot) in branch '3.8':
bpo-37574: Mention helper functions for find_spec documentation (GH-14739)
https://github.com/python/cpython/commit/63909cdc2ff4eec58cc2b56426f2c725ccd4ba2b
msg351733 - (view) Author: miss-islington (miss-islington) Date: 2019-09-10 17:16
New changeset e0a1561f93545f38034d6c48f21e79acfd4db04b by Miss Islington (bot) in branch '3.7':
bpo-37574: Mention helper functions for find_spec documentation (GH-14739)
https://github.com/python/cpython/commit/e0a1561f93545f38034d6c48f21e79acfd4db04b
History
Date User Action Args
2019-09-10 17:16:06miss-islingtonsetmessages: + msg351733
2019-09-10 17:13:58miss-islingtonsetnosy: + miss-islington
messages: + msg351732
2019-09-10 16:21:16steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-10 16:06:40miss-islingtonsetpull_requests: + pull_request15526
2019-09-10 16:06:34miss-islingtonsetpull_requests: + pull_request15525
2019-09-10 16:06:28steve.dowersetnosy: + steve.dower
messages: + msg351719
2019-07-13 13:05:29python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request14535
2019-07-13 07:23:21xtreaksetnosy: + brett.cannon
2019-07-12 18:16:31eric.snowcreate